hwlocality_api_version(3)

NAME
hwlocality_api_version - API version

  Macros
#define HWLOC_API_VERSION 0x00010b00
#define HWLOC_COMPONENT_ABI 4

  Functions
unsigned hwloc_get_api_version (void)

Detailed Description

Macro Definition Documentation

  #define HWLOC_API_VERSION 0x00010b00

Indicate at build time which hwloc API version is being used.

  #define HWLOC_COMPONENT_ABI 4

Current component and plugin ABI version (see hwloc/plugins.h)

Function Documentation

  unsigned hwloc_get_api_version (void)

Indicate at runtime which hwloc API version was used at build time. Should be HWLOC_API_VERSION if running on the same version.

Author

Generated automatically by Doxygen for Hardware Locality (hwloc) from the source code.